## mplayer 1.1+dfsg1-0ubuntu3.1+7.0trisquel1

=== debian/changelog ===
mplayer (2:1.1+dfsg1-0ubuntu3.1+7.0trisquel1) belenos-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 20 Sep 2018 12:11:11 +0000

mplayer (2:1.1+dfsg1-0ubuntu3.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in demuxer for GIFs
    - debian/patches/CVE-2016-4352.patch: Validate image size in demux_gif
    - CVE-2016-4352

 -- Mike Salvatore <mike.salvatore@canonical.com>  Tue, 18 Sep 2018 06:20:41 -0400

=== debian/rules ===
#!/usr/bin/make -f

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
# on i386 and amd64, we query the system unless overriden by DEB_BUILD_OPTIONS
ifeq      ($(DEB_BUILD_ARCH),i386)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
else ifeq ($(DEB_BUILD_ARCH),amd64)
NUMJOBS := -j$(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
endif
endif


# do not run the actual rules of this makefile in parallel. sub-makes
# can go in parallel
.NOTPARALLEL:

############

DEB_SOURCE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/[^:]+://; s/-[^-]+$$//')
SVN_VERSION := $(shell echo $(UPSTREAM_VERSION) | sed -nr 's/^[0-9.:-~]+\+svn([0-9]+)$$/\1/p')


DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_VENDOR          ?= $(shell dpkg-vendor --query Vendor)


# XXX enable-menu is frowned upon by upstream
CONFIGURE_FLAGS = \
	--prefix=/usr \
	--confdir=/etc/mplayer \
	--enable-xvmc \
	--enable-menu \
	--enable-radio --enable-radio-capture \
	--disable-arts \
	--disable-real \
	--disable-xanim \
	--disable-qtx \
	--disable-win32dll \
	--language=all \
	--disable-dvdread-internal \
	--disable-libdvdcss-internal \
	--disable-libmpeg2-internal \
	--disable-ffmpeg_a \
	$(archconf)

ifeq ($(DEB_HOST_ARCH),i386)
#configure optimizes for the cpu detected at ./configure time
#in order to build a generic binary, avoid non-standard opcodes through gcc
  archconf += --target=i586-linux
  CONFIGURE_FLAGS += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),amd64)
  CONFIGURE_FLAGS += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
  CONFIGURE_FLAGS += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
  CONFIGURE_FLAGS += --enable-runtime-cpudetection
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
  CONFIGURE_FLAGS += --enable-runtime-cpudetection
endif
# when run on a sparc64 kernel, configure will normally select v9 asm.
# this is hidden when running on buildds with 32bit kernel personality.
# because of #644856, this will currently lead to a FTBFS
# therefore, we force a 'generic' target.
ifeq ($(DEB_HOST_ARCH),sparc)
  archconf += --target=generic
endif
ifeq ($(DEB_HOST_ARCH),alpha)
#Avoid high optimization through gcc.
# see http://permalink.gmane.org/gmane.linux.debian.ports.alpha/7295
  archconf += --target=alpha_ev5-linux
endif

# generate debugging symbols for mplayer-dbg for all archs but mipsen,
# see bug #520113
ifeq (,$(findstring mips,$(DEB_HOST_ARCH)))
CONFIGURE_FLAGS += --enable-debug
endif

ifeq (linux,$(DEB_HOST_ARCH_OS))
    CONFIGURE_FLAGS += --enable-joystick
    sound_backend := alsa
else
    sound_backend := oss
endif

build: build-arch build-indep

####### build-arch
build-arch:
	dh_testdir
	dh_prep -a
	test -f VERSION || \
	echo "svn r$(SVN_VERSION) ($(DEB_VENDOR)), built with gcc" > VERSION
	$(MAKE) -f debian/rules debian/mplayer/usr/bin/mplayer
	$(MAKE) -f debian/rules debian/mencoder/usr/bin/mencoder
	$(MAKE) -f debian/rules debian/mplayer-gui/usr/bin/gmplayer

# build non-gui version
# & mencoder
debian/mplayer/usr/bin/mplayer debian/mencoder/usr/bin/mencoder:
	dh_testdir
	$(CLEAN_ENV) \
	./configure $(CONFIGURE_FLAGS) --disable-gui
	$(CLEAN_ENV) \
	$(MAKE) $(NUMJOBS) mplayer mencoder V=1
	$(MAKE) install-mplayer DESTDIR=$(CURDIR)/debian/mplayer
	$(MAKE) install-mplayer-man DESTDIR=$(CURDIR)/debian/mplayer
	$(MAKE) install-mencoder DESTDIR=$(CURDIR)/debian/mencoder
	$(MAKE) install-mencoder-man DESTDIR=$(CURDIR)/debian/mplayer
	install -D -m 644 debian/mplayer.conf \
	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf
	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf

# build gui version
debian/mplayer-gui/usr/bin/gmplayer:
	dh_testdir
	$(CLEAN_ENV) \
	./configure $(CONFIGURE_FLAGS) --enable-gui
	$(CLEAN_ENV) \
	$(MAKE) $(NUMJOBS) mplayer
	install -D -m 755 mplayer $(CURDIR)/debian/mplayer-gui/usr/bin/gmplayer
	install -D -m 644 etc/mplayer.desktop \
	                  $(CURDIR)/debian/mplayer-gui/usr/share/applications/mplayer.desktop
	install -D -m 644 etc/mplayer16x16.png \
	                  $(CURDIR)/debian/mplayer-gui/usr/share/icons/hicolor/16x16/apps/mplayer.png
	install -D -m 644 etc/mplayer22x22.png \
	                  $(CURDIR)/debian/mplayer-gui/usr/share/icons/hicolor/22x22/apps/mplayer.png
	install -D -m 644 etc/mplayer24x24.png \
	                  $(CURDIR)/debian/mplayer-gui/usr/share/icons/hicolor/24x24/apps/mplayer.png
	install -D -m 644 etc/mplayer32x32.png \
	                  $(CURDIR)/debian/mplayer-gui/usr/share/icons/hicolor/32x32/apps/mplayer.png
	install -D -m 644 etc/mplayer48x48.png \
	                  $(CURDIR)/debian/mplayer-gui/usr/share/icons/hicolor/48x48/apps/mplayer.png
	install -D -m 644 etc/mplayer256x256.png \
	                  $(CURDIR)/debian/mplayer-gui/usr/share/icons/hicolor/256x256/apps/mplayer.png


# binaries already installed via build rules as we have to build several flavors
install-arch: build-arch

###### build-indep
DOCS/HTML/en/index.html:
	$(MAKE) html-chunked

build-indep:
	dh_testdir
	dh_prep -i
	test -f DOCS/HTML/en/index.html || $(MAKE) -f debian/rules DOCS/HTML/en/index.html

# commands to compile the documentation
install-indep: build-indep
	dh_installchangelogs -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i

################ clean

clean:
	dh_testdir
	dh_testroot
	-test -f config.mak && $(MAKE) distclean

# Build architecture-independent packages
binary-indep: install-indep

# Build architecture-dependent packages
binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installmime -a
	dh_installman -a
	dh_strip -a --dbg-package=mplayer-dbg
	dh_link
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb
	dh_shlibdeps -- --ignore-missing-info
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

PHONY += build clean binary-indep binary-arch binary-common binary 
PHONY += install binary binary-arch binary-indep clean checkroot get-orig-source
PHONY += autocontrol fix-orig-source copy-orig-from-svn download-and-unpack-orig

.PHONY: $(PHONY)

include /usr/share/dpkg/default.mk
get-orig-source:
	wget -O $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz "http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mplayer.git;a=snapshot;h=0d88e9ff9fd4a5c21ecf85bc7f66f1d303d1cc8d;sf=tgz"

## mplayer 1.1.1+svn37434

=== debian/changelog ===
mplayer (2:1.1.1+svn37434-3) unstable; urgency=medium

  * debian/control:
    - Disable Samba support in GNU/Hurd. Samba does not build due to lack of
      partial file locking in GNU/Hurd.
  * debian/patches:
    - Add patches to fix FTBFS in kfreebsd and GNU/Hurd.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 16 Sep 2015 00:16:30 -0400

mplayer (2:1.1.1+svn37434-2) unstable; urgency=medium

  * debian/control:
    - Remove libsdl1.1-dev as an alternative in the build dependencies.
    - Drop build dependency on liblivemedia-dev. Newer API is not supported.
  * debian/rules:
    - Disable --enable-radio and --enable-radio-capture in !linux-any. They
      require linux only headers causing FTBFS in kfreebsd-* and hurd.
    - Enable runtime cpu detection in hurd-i386. (Closes: #735371)
    - Use oss as fallback to alsa in x32.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 30 Jul 2015 14:04:44 -0400

mplayer (2:1.1.1+svn37434-1) unstable; urgency=medium

  * Re-introduce mplayer into Debian. (Closes: #763826)

  [ upstream ]
  * New release.
    - Fixes "mplayer freezes while playing back a theora video file".
      Closes: #590441.
    - Fixes playback with theora.
      Closes: #680595.
    - Support -alang and -slang for bluray://
      Closes: #781947.

  [ Andres Mejia ]
  * Remove myself as uploader.

  [ Reinhard Tartler ]
  * Improve package descriptions.
    Closes: #641675. Thanks to Paul Stewart <paulbrianstewart@gmail.com>.

  [ Miguel A. Colón Vélez ]
  * Add myself as uploader.
  * Update to debhelper with compat 9.
    - Update debian/clean and other files to account for this.
    - Bump debhelper build dependency.
  * Make lintian happy.
    - Move the manpages of mencoder from the mplayer to mencoder and add the
      appropriate Breaks/Replaces.
    - Add gmplayer manpages.
    - Fix mplayer-gui.menu.
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Add a watch file.
  * debian/control:
    - Change build dependencies from libav to ffmpeg.
    - Drop the version requirement for the libtheora-dev build dependency.
    - Drop libavdevice-dev build dependency. Not needed.
    - Drop libsvga1-dev build dependency. Package no longer in Debian.
    - Add build dependencies to achieve feature parity with mplayer2.
      + liba52-dev, libass-dev, libbs2b-dev, cdparanoia to cdio, libdv-dev,
        libmad0-dev, libmng-dev, libmpg123-dev, and libxss-dev.
    - Add build dependencies to activate some extra features.
      + libcrystalhd-dev, libgsm1-dev, libopenjpeg-dev, libopus-dev, librtmp-dev
        and libtwolame-dev.
      + libxt-dev for nas support.
    - Use fonts-freefont-ttf instead of ttf-freefont in the Suggests.
    - Multi-archify the package by adding Multi-Arch: foreign or same.
  * debian/patches:
    - Update and refresh patches.
    - Add a patch to update the VERSION file.
  * debian/rules:
    - Create a get-orig-source-target to obtain the upstream source.
      + Update README.source to document the get-orig-source routine.
    - Remove deprecated configurations (--disable-dvdread-internal and
      --disable-libdvdcss-internal).
    - Link with --as-needed.
  * Remove unneeded maintainer script.
  * Update the copyright file.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 23 Jul 2015 14:07:27 -0400

=== debian/control ===
Source: mplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 A Mennucc1 <mennucc1@debian.org>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>,
 Reinhard Tartler <siretart@tauware.de>
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mplayer.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mplayer.git
Homepage: https://www.mplayerhq.hu
Build-Depends:
 debhelper (>= 9~),
 docbook-xml,
 docbook-xsl,
 ladspa-sdk,
 liba52-dev,
 libaa1-dev,
 libasound2-dev [linux-any],
 libass-dev,
 libaudio-dev,
 libavcodec-dev (>= 7:2.4~),
 libavformat-dev (>= 7:2.4~),
 libavutil-dev (>= 7:2.4~),
 libbluray-dev,
 libbs2b-dev,
 libcaca-dev,
 libcdio-cdda-dev,
 libcdio-paranoia-dev,
 libcrystalhd-dev [i386 amd64],
 libdirectfb-dev,
 libdts-dev,
 libdv-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libenca-dev,
 libesd0-dev,
 libfaad-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgif-dev,
 libgl1-mesa-dev,
 libgsm1-dev,
 libgtk2.0-dev,
 libjack-dev,
 libjpeg-dev,
 liblircclient-dev,
 liblzo2-dev,
 libmad0-dev,
 libmng-dev,
 libmp3lame-dev,
 libmpcdec-dev,
 libmpeg2-4-dev,
 libmpg123-dev,
 libncurses5-dev,
 libopenal-dev,
 libopenjpeg-dev,
 libopus-dev,
 libpng-dev,
 libpostproc-dev (>= 7:2.4~),
 libpulse-dev,
 librtmp-dev,
 libschroedinger-dev,
 libsdl1.2-dev,
 libsmbclient-dev [!hurd-any],
 libspeex-dev,
 libswscale-dev (>= 7:2.4~),
 libtheora-dev,
 libtwolame-dev,
 libvdpau-dev,
 libvorbis-dev,
 libvorbisidec-dev,
 libx11-dev,
 libx264-dev,
 libxext-dev,
 libxinerama-dev,
 libxss-dev,
 libxt-dev,
 libxv-dev,
 libxvidcore-dev,
 libxvmc-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
 pkg-config,
 vstream-client-dev,
 x11proto-core-dev,
 xsltproc,
 yasm,
 zlib1g-dev

Package: mplayer-gui
Architecture: any
Multi-Arch: foreign
Suggests:
 bzip2,
 fontconfig,
 fonts-freefont-ttf,
 mplayer-doc
Depends:
 mplayer,
 mplayer-skin,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 mplayer (<< 2:1.0~rc3+svn20090426-2),
 mplayer-doc (<< 2:1.0~rc3+svn20090426-2)
Description: movie player for Unix-like systems (GUI variant)
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
 DirectFB, but also SDL.
 .
 This package includes the GUI variant of MPlayer.

Package: mencoder
Architecture: any
Multi-Arch: foreign
Suggests:
 bzip2,
 fontconfig,
 fonts-freefont-ttf,
 mplayer-doc
Depends:
 mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 mplayer (<< 2:1.1.1+svn37434-1)
Replaces:
 mplayer (<< 2:1.1.1+svn37434-1)
Description: MPlayer's Movie Encoder
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 This package contains mencoder, a simple movie encoder, designed to
 encode MPlayer-playable movies
 (AVI/ASF/OGG/DVD/VCD/VOB/MPG/MOV/VIV/FLI/RM/NUV/NET) to other
 MPlayer-playable formats. It can encode with various codecs, like DivX4
 (1 or 2 passes), libavcodec, PCM/MP3/VBRMP3 audio. Also has stream
 copying and video resizing capabilities.

Package: mplayer
Architecture: any
Multi-Arch: foreign
Suggests:
 bzip2,
 fontconfig,
 fonts-freefont-ttf,
 mplayer-doc,
 netselect | fping
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 mencoder (<< 2:1.0~rc3+svn20090426-2),
 mplayer-doc (<< 2:1.0~rc3+svn20090426-2),
 mplayer-nogui (<< 2:1.0~rc3+svn20090426-2),
 mplayer2
Conflicts:
 mplayer2
Description: movie player for Unix-like systems
 MPlayer plays most MPEG, VOB, AVI, Ogg/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. It can
 also play VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies.
 .
 Another big feature of MPlayer is the wide range of supported output
 drivers. It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev,
 DirectFB, but also SDL.
 .
 Not all of the upstream code is distributed in the source tarball.
 See the README.Debian and copyright files for details.

Package: mplayer-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 mplayer (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 ffmpeg-dbg
Replaces:
 mplayer2-dbg
Conflicts:
 mplayer2-dbg
Description: debugging symbols for MPlayer
 This package contains the debugging symbols for MPlayer, a movie
 player for Unix-like systems.
 .
 This package is required if you want to generate useful debugging
 back-traces.

Package: mplayer-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Recommends:
 mplayer
Depends:
 ${misc:Depends}
Replaces:
 mplayer (<< 2:1.0~rc3+svn20090426-1)
Description: documentation for MPlayer
 This package contains the HTML documentation for MPlayer, a movie player for
 Unix-like systems. It is available in several languages.
 .
 You only need this package if you want to read the MPlayer manual. The manpages
 are included in the regular MPlayer package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# do not run the actual rules of this makefile in parallel. sub-makes
# can go in parallel
.NOTPARALLEL:

DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CFLAGS +=$(CPPFLAGS)
LDFLAGS += -Wl,--as-needed

CONFIGURE_FLAGS = \
	--prefix=/usr \
	--confdir=/etc/mplayer \
	--enable-debug \
	--enable-xvmc \
	--enable-menu \
	--disable-arts \
	--language=all \
	--disable-libmpeg2-internal \
	--disable-ffmpeg_a \
	--extra-cflags="${CFLAGS}" \
	--extra-ldflags="${LDFLAGS}" \
	$(archconf)

# Runtime detections is available for i386, amd64 and ppc.
ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 powerpc))
  CONFIGURE_FLAGS += --enable-runtime-cpudetection
endif

ifeq ($(DEB_HOST_ARCH),i386)
#configure optimizes for the cpu detected at ./configure time
#in order to build a generic binary, avoid non-standard opcodes through gcc
  archconf += --target=i586-linux
endif

# when run on a sparc64 kernel, configure will normally select v9 asm.
# this is hidden when running on buildds with 32bit kernel personality.
# because of #644856, this will currently lead to a FTBFS
# therefore, we force a 'generic' target.
ifeq ($(DEB_HOST_ARCH),sparc)
  archconf += --target=generic
endif

ifeq ($(DEB_HOST_ARCH),alpha)
#Avoid high optimization through gcc.
# see http://permalink.gmane.org/gmane.linux.debian.ports.alpha/7295
  archconf += --target=alpha_ev5-linux
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CONFIGURE_FLAGS += --enable-joystick --enable-radio --enable-radio-capture
    sound_backend := alsa
else
    sound_backend := oss
endif

# It seems x32 has some alsa issues. Add oss as fallback.
# see http://lists.alioth.debian.org/pipermail/pkg-multimedia-maintainers/2015-July/046049.html
# The default for all could be "ao=pulse,alsa,oss,sdl:aalib" to avoid this.
ifeq ($(DEB_HOST_ARCH),x32)
    sound_backend := alsa,oss
endif

%:
	dh $@ --parallel

override_dh_auto_build-arch:
	dh_auto_build -- mplayer
	mv mplayer gmplayer
	$(MAKE) distclean
	./configure $(CONFIGURE_FLAGS) --disable-gui
	dh_auto_build -- mplayer mencoder

override_dh_auto_build-indep:
	[ -f DOCS/HTML/en/index.html ] || dh_auto_build -- html-chunked

override_dh_auto_clean:
	[ -f config.mak ] && $(MAKE) distclean || true

override_dh_auto_configure:
	./configure $(CONFIGURE_FLAGS) --enable-gui

override_dh_auto_install-arch:
	$(MAKE) install-mplayer DESTDIR=$(CURDIR)/debian/mplayer
	$(MAKE) install-mencoder DESTDIR=$(CURDIR)/debian/mencoder
	$(MAKE) install-mplayer-man DESTDIR=$(CURDIR)/debian/mplayer
	$(MAKE) install-mencoder-man DESTDIR=$(CURDIR)/debian/mencoder
	$(MAKE) install-gui-man DESTDIR=$(CURDIR)/debian/mplayer-gui
	$(MAKE) install-gui-icons DESTDIR=$(CURDIR)/debian/mplayer-gui
	find debian/mencoder -type d -empty -delete
	find debian/mplayer -type d -empty -delete
	find debian/mplayer-gui -type d -empty -delete

override_dh_auto_install-indep:
override_dh_auto_test-indep:

override_dh_compress-arch:
	dh_compress
	find debian/mencoder/usr/share/man/ -type f -name mplayer.1.gz -delete
	find debian/mplayer-gui/usr/share/man/ -type f -name mplayer.1.gz -delete

override_dh_install-arch:
	dh_install
	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf

override_dh_strip:
	dh_strip --dbg-package=mplayer-dbg

get-orig-source:
	sh debian/get-svn-source.sh

.PHONY: get-orig-source

## mplayer 1.2

=== debian/changelog ===
mplayer (2:1.2-1mx150+1) mx; urgency=low

  * Rebuild for MX 15 repository.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 13 Nov 2015 15:38:38 -0800

mplayer (2:1.2-1) unstable; urgency=medium

  * New upstream release.
    - MPlayer using the FFmpeg 2.8 release. This will be the last FFmpeg release
      before a lot of the old APIs are dropped. Some features will have to be
      removed in MPlayer after (eg. XvMC, lavfi ulnless it's rewritten), because
      of incompatibilities or deprecation.
  * debian/control:
    - Split the Build-Depends into B-D/B-D-Arch/B-D-Indep. This allows building
      the source or arch-all packages without having to install unneeded
      packages.
  * debian/patches:
    - Refresh patches and drop the ones applied by upsteam.
    - Cherry pick r37545 to allow building without an internal FFmpeg.
    - Cherry pick r37548 from the 1.2 branch to fix a segmentation fault.
    - Cherry pick r37549 to allow building the documentation without FFmpeg.
  * debian/rules:
    - Pass a minimal set of configuration options when just building the docs.
  * Update the copyright file.
  * Remove the menu file since a desktop file is provided.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Mon, 02 Nov 2015 06:02:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
@@ -11,18 +13,17 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mplayer.git
 Homepage: https://www.mplayerhq.hu
 Build-Depends:
- debhelper (>= 9~),
- docbook-xml,
- docbook-xsl,
+ debhelper (>= 9~)
+Build-Depends-Arch:
  ladspa-sdk,
  liba52-dev,
  libaa1-dev,
  libasound2-dev [linux-any],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 7:2.4~),
- libavformat-dev (>= 7:2.4~),
- libavutil-dev (>= 7:2.4~),
+ libavcodec-ffmpeg-dev (>= 7:2.4~),
+ libavformat-ffmpeg-dev (>= 7:2.4~),
+ libavutil-ffmpeg-dev (>= 7:2.4~),
  libbluray-dev,
  libbs2b-dev,
  libcaca-dev,
@@ -59,14 +60,14 @@
  libopenjpeg-dev,
  libopus-dev,
  libpng-dev,
- libpostproc-dev (>= 7:2.4~),
+ libpostproc-ffmpeg-dev (>= 7:2.4~),
  libpulse-dev,
  librtmp-dev,
  libschroedinger-dev,
  libsdl1.2-dev,
  libsmbclient-dev [!hurd-any],
  libspeex-dev,
- libswscale-dev (>= 7:2.4~),
+ libswscale-ffmpeg-dev (>= 7:2.4~),
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,
@@ -86,9 +87,12 @@
  pkg-config,
  vstream-client-dev,
  x11proto-core-dev,
- xsltproc,
  yasm,
  zlib1g-dev
+Build-Depends-Indep:
+ docbook-xml,
+ docbook-xsl,
+ xsltproc
 
 Package: mplayer-gui
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,13 @@
 	--extra-cflags="${CFLAGS}" \
 	--extra-ldflags="${LDFLAGS}" \
 	$(archconf)
+
+CONFIGURE_DOC_FLAGS = \
+	--disable-ffmpeg_a \
+	--disable-mencoder \
+	--disable-mplayer \
+	--yasm='' \
+	--language=all
 
 # Runtime detections is available for i386, amd64 and ppc.
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 powerpc))
@@ -82,8 +89,11 @@
 override_dh_auto_clean:
 	[ -f config.mak ] && $(MAKE) distclean || true
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	./configure $(CONFIGURE_FLAGS) --enable-gui
+
+override_dh_auto_configure-indep:
+	[ -f config.mak ] || ./configure $(CONFIGURE_DOC_FLAGS)
 
 override_dh_auto_install-arch:
 	$(MAKE) install-mplayer DESTDIR=$(CURDIR)/debian/mplayer
@@ -112,6 +122,7 @@
 override_dh_strip:
 	dh_strip --dbg-package=mplayer-dbg
 
+
 get-orig-source:
 	sh debian/get-svn-source.sh

## mplayer 1.2.1

=== debian/changelog ===
mplayer (2:1.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Init network when using libavformat for streaming. (Closes: #808385)
    - Fix build regression on FreeBSD. (Closes: #808682)
  * debian/control:
    - Bump Standards-Version to 3.9.7 (no changes needed).
    - Drop the build-dependency on libpng-dev as requested in #809955. Other
      build-dependencies still pull this package therefore there is no change in
      current behavior.
  * debian/patches:
    - Refresh patches and drop the ones applied by upstream.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Tue, 23 Feb 2016 23:08:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mplayer.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mplayer.git
 Homepage: https://www.mplayerhq.hu
@@ -21,9 +19,9 @@
  libasound2-dev [linux-any],
  libass-dev,
  libaudio-dev,
- libavcodec-ffmpeg-dev (>= 7:2.4~),
- libavformat-ffmpeg-dev (>= 7:2.4~),
- libavutil-ffmpeg-dev (>= 7:2.4~),
+ libavcodec-dev (>= 7:2.4~),
+ libavformat-dev (>= 7:2.4~),
+ libavutil-dev (>= 7:2.4~),
  libbluray-dev,
  libbs2b-dev,
  libcaca-dev,
@@ -59,15 +57,14 @@
  libopenal-dev,
  libopenjpeg-dev,
  libopus-dev,
- libpng-dev,
- libpostproc-ffmpeg-dev (>= 7:2.4~),
+ libpostproc-dev (>= 7:2.4~),
  libpulse-dev,
  librtmp-dev,
  libschroedinger-dev,
  libsdl1.2-dev,
  libsmbclient-dev [!hurd-any],
  libspeex-dev,
- libswscale-ffmpeg-dev (>= 7:2.4~),
+ libswscale-dev (>= 7:2.4~),
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,

=== debian/rules ===
--- 
+++ 
@@ -122,7 +122,6 @@
 override_dh_strip:
 	dh_strip --dbg-package=mplayer-dbg
 
-
 get-orig-source:
 	sh debian/get-svn-source.sh

## mplayer 1.2.1-1ubuntu1.1+8.0trisquel1

=== debian/changelog ===
mplayer (2:1.2.1-1ubuntu1.1+8.0trisquel1) flidas-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 19 Sep 2018 12:09:48 +0000

mplayer (2:1.2.1-1ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in demuxer for GIFs
    - debian/patches/CVE-2016-4352.patch: Validate image size in demux_gif
    - CVE-2016-4352
  * debian/control: Change Build-Depends-Arch to Build-Depends

 -- Mike Salvatore <mike.salvatore@canonical.com>  Tue, 18 Sep 2018 06:19:08 -0400

mplayer (2:1.2.1-1ubuntu1) xenial; urgency=medium

  * Add mplayer2 transitional package to fix upgrades (LP: #1580268)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 May 2016 11:19:04 -0600

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,10 @@
 	--enable-xvmc \
 	--enable-menu \
 	--disable-arts \
+	--disable-real \
+	--disable-xanim \
+	--disable-qtx \
+	--disable-win32dll \
 	--language=all \
 	--disable-libmpeg2-internal \
 	--disable-ffmpeg_a \

## mplayer 1.3.0

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak

###### variable declarations #######

# local fallbacks for missing operating system features
OS_FEATURE-$(GETTIMEOFDAY)           += osdep/gettimeofday.c
OS_FEATURE-$(GLOB_WIN)               += osdep/glob-win.c
OS_FEATURE-$(MMAP)                   += osdep/mmap-os2.c
OS_FEATURE-$(SETENV)                 += osdep/setenv.c
OS_FEATURE-$(SHMEM)                  += osdep/shmem.c
OS_FEATURE-$(STRSEP)                 += osdep/strsep.c
OS_FEATURE-$(VSSCANF)                += osdep/vsscanf.c

# conditional source declarations
SRCS_AUDIO_INPUT-$(ALSA)             += stream/ai_alsa.c
SRCS_AUDIO_INPUT-$(OSS)              += stream/ai_oss.c
SRCS_COMMON-$(AUDIO_INPUT)           += $(SRCS_AUDIO_INPUT-yes)
SRCS_COMMON-$(BITMAP_FONT)           += sub/font_load.c
SRCS_COMMON-$(CDDA)                  += stream/stream_cdda.c            \
                                        stream/cdinfo.c
SRCS_COMMON-$(CDDB)                  += stream/stream_cddb.c
SRCS_COMMON-$(DVBIN)                 += stream/dvb_tune.c               \
                                        stream/stream_dvb.c
SRCS_COMMON-$(DVDNAV)                += stream/stream_dvdnav.c

SRCS_COMMON-$(DVDREAD)               += stream/stream_dvd.c             \
                                        stream/stream_dvd_common.c

SRCS_COMMON-$(FAAD)                  += libmpcodecs/ad_faad.c
SRCS_COMMON-$(FASTMEMCPY)            += libvo/aclib.c
SRCS_COMMON-$(FFMPEG)                += av_helpers.c                    \
                                        av_opts.c                       \
                                        libaf/af_lavcac3enc.c           \
                                        libaf/af_lavcresample.c         \
                                        libmpcodecs/ad_ffmpeg.c         \
                                        libmpcodecs/ad_spdif.c          \
                                        libmpcodecs/vd_ffmpeg.c         \
                                        libmpcodecs/vf_geq.c            \
                                        libmpcodecs/vf_lavc.c           \
                                        libmpcodecs/vf_lavcdeint.c      \
                                        libmpcodecs/vf_screenshot.c     \
                                        libmpdemux/demux_lavf.c         \
                                        stream/stream_ffmpeg.c          \
                                        sub/av_sub.c                    \

SRCS_COMMON-$(CONFIG_VF_LAVFI)      +=  libmpcodecs/vf_lavfi.c

# These filters use private headers and do not work with shared FFmpeg.
SRCS_COMMON-$(FFMPEG_A)              += libmpcodecs/vf_fspp.c           \
                                        libmpcodecs/vf_mcdeint.c        \
                                        libmpcodecs/vf_qp.c             \
                                        libmpcodecs/vf_spp.c            \
                                        libmpcodecs/vf_uspp.c           \

SRCS_COMMON-$(FREETYPE)              += sub/font_load_ft.c
SRCS_COMMON-$(FTP)                   += stream/stream_ftp.c
SRCS_COMMON-$(GIF)                   += libmpdemux/demux_gif.c
SRCS_COMMON-$(HAVE_POSIX_SELECT)     += libmpcodecs/vf_bmovl.c
SRCS_COMMON-$(HAVE_SYS_MMAN_H)       += libaf/af_export.c osdep/mmap_anon.c
SRCS_COMMON-$(JPEG)                  += libmpcodecs/vd_ijpg.c
SRCS_COMMON-$(LADSPA)                += libaf/af_ladspa.c
SRCS_COMMON-$(LIBA52)                += libmpcodecs/ad_liba52.c
SRCS_COMMON-$(LIBASS)                += libmpcodecs/vf_ass.c            \
                                        sub/ass_mp.c                    \
                                        sub/subassconvert.c             \

SRCS_COMMON-$(LIBASS_INTERNAL)       += libass/ass.c                    \
                                        libass/ass_bitmap.c             \
                                        libass/ass_cache.c              \
                                        libass/ass_drawing.c            \
                                        libass/ass_font.c               \
                                        libass/ass_fontconfig.c         \
                                        libass/ass_library.c            \
                                        libass/ass_parse.c              \
                                        libass/ass_render.c             \
                                        libass/ass_render_api.c         \
                                        libass/ass_shaper.c             \
                                        libass/ass_strtod.c             \
                                        libass/ass_utils.c              \

SRCS_COMMON-$(LIBBLURAY)             += stream/stream_bluray.c
SRCS_COMMON-$(LIBBS2B)               += libaf/af_bs2b.c
SRCS_COMMON-$(LIBDCA)                += libmpcodecs/ad_libdca.c
SRCS_COMMON-$(LIBDV)                 += libmpcodecs/ad_libdv.c          \
                                        libmpcodecs/vd_libdv.c          \
                                        libmpdemux/demux_rawdv.c

SRCS_COMMON-$(LIBMAD)                += libmpcodecs/ad_libmad.c

SRCS_COMMON-$(LIBMPEG2)              += libmpcodecs/vd_libmpeg2.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ALPHA) += libmpeg2/idct_alpha.c           \
                                        libmpeg2/motion_comp_alpha.c
SRCS_LIBMPEG2-INTERNAL-$(ARCH_ARM)   += libmpeg2/motion_comp_arm.c      \
                                        libmpeg2/motion_comp_arm_s.S
SRCS_LIBMPEG2-INTERNAL-$(HAVE_ALTIVEC) += libmpeg2/idct_altivec.c       \
                                        libmpeg2/motion_comp_altivec.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_MMX)   += libmpeg2/idct_mmx.c             \
                                        libmpeg2/motion_comp_mmx.c
SRCS_LIBMPEG2-INTERNAL-$(HAVE_VIS)   += libmpeg2/motion_comp_vis.c
SRCS_COMMON-$(LIBMPEG2_INTERNAL)     += libmpeg2/alloc.c                \
                                        libmpeg2/cpu_accel.c            \
                                        libmpeg2/cpu_state.c            \
                                        libmpeg2/decode.c               \
                                        libmpeg2/header.c               \
                                        libmpeg2/idct.c                 \
                                        libmpeg2/motion_comp.c          \
                                        libmpeg2/slice.c                \
                                        $(SRCS_LIBMPEG2-INTERNAL-yes)

SRCS_COMMON-$(LIBNEMESI)             += libmpdemux/demux_nemesi.c       \
                                        stream/stream_nemesi.c
SRCS_COMMON-$(LIBNUT)                += libmpdemux/demux_nut.c
SRCS_COMMON-$(LIBSMBCLIENT)          += stream/stream_smb.c
SRCS_COMMON-$(LIBTHEORA)             += libmpcodecs/vd_theora.c
SRCS_COMMON-$(LIVE555)               += libmpdemux/demux_rtp.cpp        \
                                        libmpdemux/demux_rtp_codec.cpp  \
                                        stream/stream_live555.c
SRCS_COMMON-$(MACOSX_FINDER)         += osdep/macosx_finder_args.c
SRCS_COMMON-$(MNG)                   += libmpdemux/demux_mng.c
SRCS_COMMON-$(MPG123)                += libmpcodecs/ad_mpg123.c

SRCS_COMMON-$(MUSEPACK)              += libmpcodecs/ad_mpc.c            \
                                        libmpdemux/demux_mpc.c
SRCS_COMMON-$(NATIVE_RTSP)           += stream/stream_rtsp.c            \
                                        stream/freesdp/common.c         \
                                        stream/freesdp/errorlist.c      \
                                        stream/freesdp/parser.c         \
                                        stream/librtsp/rtsp.c           \
                                        stream/librtsp/rtsp_rtp.c       \
                                        stream/librtsp/rtsp_session.c   \

SRCS_COMMON-$(NETWORKING)            += stream/stream_netstream.c       \
                                        stream/asf_mmst_streaming.c     \
                                        stream/asf_streaming.c          \
                                        stream/cookies.c                \
                                        stream/http.c                   \
                                        stream/network.c                \
                                        stream/pnm.c                    \
                                        stream/rtp.c                    \
                                        stream/udp.c                    \
                                        stream/tcp.c                    \
                                        stream/stream_rtp.c             \
                                        stream/stream_udp.c             \
                                        stream/librtsp/rtsp.c           \
                                        stream/realrtsp/asmrp.c         \
                                        stream/realrtsp/real.c          \
                                        stream/realrtsp/rmff.c          \
                                        stream/realrtsp/sdpplin.c       \
                                        stream/realrtsp/xbuffer.c       \

SRCS_COMMON-$(PNG)                   += libmpcodecs/vd_mpng.c
SRCS_COMMON-$(POSTPROC)              += libmpcodecs/vf_pp.c
SRCS_COMMON-$(PRIORITY)              += osdep/priority.c
SRCS_COMMON-$(PVR)                   += stream/stream_pvr.c
SRCS_COMMON-$(QTX_CODECS)            += libmpcodecs/ad_qtaudio.c        \
                                        libmpcodecs/vd_qtvideo.c
SRCS_COMMON-$(RADIO)                 += stream/stream_radio.c
SRCS_COMMON-$(RADIO_CAPTURE)         += stream/audio_in.c
SRCS_COMMON-$(REAL_CODECS)           += libmpcodecs/ad_realaud.c        \
                                        libmpcodecs/vd_realvid.c
SRCS_COMMON-$(SPEEX)                 += libmpcodecs/ad_speex.c
SRCS_COMMON-$(STREAM_CACHE)          += stream/cache2.c
SRCS_COMMON-$(TV)                    += stream/frequencies.c            \
                                        stream/stream_tv.c              \
                                        stream/tv.c                     \
                                        stream/tvi_dummy.c
SRCS_COMMON-$(TV_BSDBT848)           += stream/tvi_bsdbt848.c
SRCS_COMMON-$(TV_DSHOW)              += stream/tvi_dshow.c              \
                                        loader/dshow/guids.c            \
                                        loader/dshow/mediatype.c        \

SRCS_COMMON-$(TV_V4L1)               += stream/tvi_v4l.c                \
                                        stream/audio_in.c
SRCS_COMMON-$(TV_V4L2)               += stream/tvi_v4l2.c               \
                                        stream/audio_in.c
SRCS_COMMON-$(UNRAR_EXEC)            += sub/unrar_exec.c
SRCS_COMMON-$(VCD)                   += stream/stream_vcd.c
SRCS_COMMON-$(VORBIS)                += libmpcodecs/ad_libvorbis.c      \
                                        libmpdemux/demux_ogg.c
SRCS_COMMON-$(VSTREAM)               += stream/stream_vstream.c

=== debian/changelog ===
mplayer (2:1.3.0-6) unstable; urgency=medium

  * Team upload.
  * Fix crash with the screenshot filter. (Closes: #834135)

 -- James Cowgill <jcowgill@debian.org>  Wed, 14 Dec 2016 22:47:17 +0000

mplayer (2:1.3.0-5) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Remove libschroedinger. Thanks to Andreas Cadhalpun.
      (Closes: #845365)
    - Update liblircclient-dev to liblirc-dev.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Nov 2016 21:44:35 +0100

mplayer (2:1.3.0-4) unstable; urgency=medium

  * Team upload.
  * Remove mplayer2 package which is being moved to mpv.

 -- James Cowgill <jcowgill@debian.org>  Wed, 26 Oct 2016 08:55:16 +0100

mplayer (2:1.3.0-3) unstable; urgency=medium

  * Team upload.

  [ Felipe Sateler ]
  * Disable esound plugin. In Debian, esound goes through pulseaudio and there
    is already a pulse plugin.

  [ Sebastian Ramacher ]
  * debian/control: Remove unused B-D on libopenjpeg-dev (Closes: #826822)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Jul 2016 23:34:26 +0200

mplayer (2:1.3.0-2) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * debian/control:
    - Add transitional package mplayer2 for upgrades from jessie Jessie.
      (Closes: #823589, LP: #1580268)
  * debian/patches:
    - Add 0100_svn37857_CVE-2016-4352.patch to fix CVE-2016-4352 -
      Mplayer/Mencoder integer overflow parsing gif files. (Closes: #823723)

  [ Miguel A. Colón Vélez ]
  * debian/patches:
    - Refresh patches to fix a FTBFS in GNU/Hurd.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 25 May 2016 12:01:48 -0400

mplayer (2:1.3.0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Team upload.
  * New upstream release.
    - Fix FTBFS with ffmpeg 2.9 (Closes: #803844)
  * Drop mplayer-dbg package.
  * debian/control:
    - Rename Build-Depends-Arch to Build-Depends.
    - Bump Standards-Version to 3.9.8 (no changes needed).
  * debian/copyright:
    - Add missing GPL-2+ license.
  * debian/patches:
    - Refresh patches.
    - Add 0003_fix_spelling_error_in_binary.patch to fix lintian warning
      about spelling error in binary.
  * Update debian/*.lintian-overrides.
  * debian/rules:
    - Enable hardening=+all.

  [ Sebastian Ramacher ]
  * Bump libav* B-Ds to >= 7:3.0~.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 17 Apr 2016 21:19:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,21 @@
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 3.9.7
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mplayer.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mplayer.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mplayer.git
 Homepage: https://www.mplayerhq.hu
 Build-Depends:
- debhelper (>= 9~)
-Build-Depends-Arch:
+ debhelper (>= 9~),
  ladspa-sdk,
  liba52-dev,
  libaa1-dev,
  libasound2-dev [linux-any],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 7:2.4~),
- libavformat-dev (>= 7:2.4~),
- libavutil-dev (>= 7:2.4~),
+ libavcodec-dev (>= 7:3.0~),
+ libavformat-dev (>= 7:3.0~),
+ libavutil-dev (>= 7:3.0~),
  libbluray-dev,
  libbs2b-dev,
  libcaca-dev,
@@ -34,7 +33,6 @@
  libdvdnav-dev,
  libdvdread-dev,
  libenca-dev,
- libesd0-dev,
  libfaad-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -45,7 +43,7 @@
  libgtk2.0-dev,
  libjack-dev,
  libjpeg-dev,
- liblircclient-dev,
+ liblirc-dev,
  liblzo2-dev,
  libmad0-dev,
  libmng-dev,
@@ -55,16 +53,14 @@
  libmpg123-dev,
  libncurses5-dev,
  libopenal-dev,
- libopenjpeg-dev,
  libopus-dev,
- libpostproc-dev (>= 7:2.4~),
+ libpostproc-dev (>= 7:3.0~),
  libpulse-dev,
  librtmp-dev,
- libschroedinger-dev,
  libsdl1.2-dev,
  libsmbclient-dev [!hurd-any],
  libspeex-dev,
- libswscale-dev (>= 7:2.4~),
+ libswscale-dev (>= 7:3.0~),
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,
@@ -180,27 +176,6 @@
  Not all of the upstream code is distributed in the source tarball.
  See the README.Debian and copyright files for details.
 
-Package: mplayer-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends:
- mplayer (= ${binary:Version}),
- ${misc:Depends}
-Recommends:
- ffmpeg-dbg
-Replaces:
- mplayer2-dbg
-Conflicts:
- mplayer2-dbg
-Description: debugging symbols for MPlayer
- This package contains the debugging symbols for MPlayer, a movie
- player for Unix-like systems.
- .
- This package is required if you want to generate useful debugging
- back-traces.
-
 Package: mplayer-doc
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 CFLAGS +=$(CPPFLAGS)
 LDFLAGS += -Wl,--as-needed
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 CONFIGURE_FLAGS = \
 	--prefix=/usr \
 	--confdir=/etc/mplayer \
@@ -20,13 +22,10 @@
 	--enable-xvmc \
 	--enable-menu \
 	--disable-arts \
-	--disable-real \
-	--disable-xanim \
-	--disable-qtx \
-	--disable-win32dll \
 	--language=all \
 	--disable-libmpeg2-internal \
 	--disable-ffmpeg_a \
+	--disable-esd \
 	--extra-cflags="${CFLAGS}" \
 	--extra-ldflags="${LDFLAGS}" \
 	$(archconf)
@@ -123,9 +122,6 @@
 	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
 	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf
 
-override_dh_strip:
-	dh_strip --dbg-package=mplayer-dbg
-
 get-orig-source:
 	sh debian/get-svn-source.sh

## mplayer 1.3.0-7build2+9.0trisquel1

=== debian/changelog ===
mplayer (2:1.3.0-7build2+9.0trisquel1) etiona; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Dec 2019 20:33:06 +0000

mplayer (2:1.3.0-7build2) bionic; urgency=medium

  * No-change rebuild for x264 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 10:17:10 +0000

mplayer (2:1.3.0-7build1) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 02:52:19 +0000

mplayer (2:1.3.0-7) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with ffmpeg 3.4. (Closes: #879461)
  * Use debhelper compat 10.
  * Bump standards version to 4.1.1.

 -- James Cowgill <jcowgill@debian.org>  Sun, 22 Oct 2017 11:30:37 +0100

## mplayer 1.3.0-7ubuntu0.2+9.0trisquel1

=== debian/changelog ===
mplayer (2:1.3.0-7ubuntu0.2+9.0trisquel1) etiona-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Feb 2023 17:40:50 +0000

mplayer (2:1.3.0-7ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-2022-38850_*.patch
    - CVE-2022-38850
    - CVE-2022-38851
    - CVE-2022-38855
    - CVE-2022-38858
    - CVE-2022-38860
    - CVE-2022-38861
    - CVE-2022-38863
    - CVE-2022-38864
    - CVE-2022-38865
    - CVE-2022-38866
  * Add patch to fix FTBFS with glibc 2.27 on i386

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 24 Feb 2023 18:23:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mplayer.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mplayer.git
 Homepage: https://www.mplayerhq.hu
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10),
  ladspa-sdk,
  liba52-dev,
  libaa1-dev,
